# Update purchase order

Update an existing inventory receipt request

Endpoint: POST /api/InventoryMovement/UpdatePurchaseOrder
Version: 3.1.4

## Request fields (application/json):

  - `PurchaseOrderNumber` (string)

  - `Authentication` (object, required)
    Credentials are required for all API operations.

  - `Authentication.UserKey` (string, required)
    Example: C445598CB576468EA35FBB22C55584EF

  - `Authentication.Password` (string, required)
    Example: AF63FDAC1E704DC1AC9460F669ABF107

  - `Authentication.CustomerNo` (string, required)
    Example: 10703

  - `OrderInfo` (object, required)

  - `OrderInfo.CustomerReferenceNo` (string, required)

  - `OrderInfo.TransportMethod` (string, required)
    Enum: "PICKUP", "DROPOFF"

  - `OrderInfo.RequestedDate` (string, required)

  - `OrderInfo.ReceiveToLocation` (string, required)
    See [warehouse locations](../../../../docs/codes/warehouselocations) for possible values.
    Enum: "APC01", "APC02", "COB01", "COB02", "ETC01", "MMC01", "PRB02", "PRB04", "SJU01", "TWL01", "VCX01", "WOX01"

  - `OrderInfo.InventoryStatusCode` (string, required)
    See [inventory codes](../../../../docs/codes/inventorycodes) for possible values. Array of up to 5 items is allowed, and if omitted, all items will be included in the results.
    Enum: "GOOD-NO-TX", "RTGD-NO-TX", "RDMG-NO-TX", "CDMG-NO-TX", "DMGD-NO-TX", "GOOD-NO-BD", "DMGD-ST-BD", "GOOD-ST-IM"

  - `OrderInfo.ReferenceNo` (string, required)
    Pickup reference number

  - `OrderInfo.FirstName` (string)
    Required, if TransportMethod = PICKUP

  - `OrderInfo.LastName` (string)
    Required, if TransportMethod = PICKUP

  - `OrderInfo.Company` (string)
    Required, if TransportMethod = PICKUP

  - `OrderInfo.Address` (string)
    Required, if TransportMethod = PICKUP

  - `OrderInfo.Address2` (string)
    Required, if TransportMethod = PICKUP

  - `OrderInfo.City` (string)
    Required, if TransportMethod = PICKUP

  - `OrderInfo.State` (string)
    Required, if TransportMethod = PICKUP
    Example: CA

  - `OrderInfo.ZipCode` (string)
    Required, if TransportMethod = PICKUP

  - `OrderInfo.PhoneNumber` (string)
    Example: 7079339063

  - `OrderInfo.EmailAddress` (string)

  - `OrderInfo.SpecialInstruction` (string)

  - `ItemsInfo` (array)

  - `ItemsInfo.ItemNo` (string, required)
    Example: ITEMTEST

  - `ItemsInfo.ItemDescription` (string)
    Example: 2019 Cab Napa Valley

  - `ItemsInfo.ItemQuantity` (integer, required)

## Request examples:

  - `Update Special instructions` (unknown)

  - `Update Items` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 400:

  - `400` (unknown)
    Invalid Input Data

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 429:

  - `429` (unknown)
    Too Many Requests [... see rate-limit details](https://wineshipping-api.redocly.app/../../../../docs/infrastructure#rate-limits--quotas)

## Response 500:

  - `500` (unknown)
    Internal Server Error

